DXF drag@drop import: cannot distinguish between different geometry types
Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:master
Operating System: Windows

Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16768

Description

By dragging and dropping a DXF file into QGIS 1.8, a single QGIS layer is created, containing e.g. point and lines at the same time.
The new layer with more geometry types cannot be properly handled in QGIS (for example you cannot cut and past it into a PostGIS new

layer).

Associated revisions

Revision af0f61e6 - 2013-05-31 08:10 PM - Radim Blazek

OGR provider - virtual sublayers for each geometry type in multi geometry layers, fixes #7895

History

#1 - 2013-05-24 11:12 AM - Giovanni Manghi
- Status changed from Open to Feedback

does not happen on qgis master, can you try and report back? cheers!

#2 - 2013-05-31 11:00 AM - Radim Blazek

If a layer has multiple geometries, ogr provider guess the geometry type from the first feature. Other geometries are not rendered but appear in attribute

table for example.

Features with geometry type other than the first one may be for example copied to clipboard (even if not visible). If such features are pasted to a layer with

different geometry type constraint, it fails.

I am going to fix that by virtual sublayers for each geometry type.

#3 - 2013-05-31 11:04 AM - Radim Blazek
- Status changed from Feedback to Closed

Fixed in changeset commit:"af0f61e699d89c4db9ee8f618c032b75e6211d33".
